Skip to content

Update Script FormFields ReadStatus.

POST
/api/shape/csd/namespaces/{namespace}/scripts/{id}/readStatus
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/readStatus \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "namespace": "example", "type": "BLOCK" }'

Allow / block script from reading form fields.

Examples of this operation.

namespace
required
string

Namespace Namespace.

id
required
string

ID Script ID.

Media typeapplication/json
UpdateScriptReadStatusRequest

Request to update.

object
id
id

Script ID

string
>= 1 <= 4094 <= 1024 characters
namespace
namespace

Namespace

string
>= 6 characters <= 1024 characters
type
string
default: BLOCK
Allowed values: BLOCK ALLOW

A successful response.

Media typeapplication/json
UpdateScriptReadStatusResponse

Payload about status of script read status result.

object
id
id

ID of the script.

string
>= 1 <= 4094 <= 1024 characters
script_name
script_name

Script detected in the webpage.

string
<= 1024 characters
status
status

Values: not_modified , success Status about script read status modification.

string
>= 17 characters <= 1024 characters
Examplegenerated
{
"id": "example",
"script_name": "example",
"status": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example